Package org.apache.sling.feature.extension.apiregions.api.config

# Enum Mode

java.lang.Object
java.lang.Enum<Mode>
org.apache.sling.feature.extension.apiregions.api.config.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<Mode>`

public enum Mode extends Enum<Mode>
The validation mode

Since:
  1.2

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFINITIVE`
If validation fails, use the default value (if provided - otherwise remove value) and issue a warning.
`LENIENT`
If validation fails, issue a warning (but use the invalid value).
`SILENT`
If validation fails, do not report and use the invalid value.
`SILENT_DEFINITIVE`
If validation fails, use the default value (if provided - otherwise remove value) and do not issue a warning.
`STRICT`
Default mode - If validation fails, issue an error.

## Method Summary

Modifier and Type
Method
Description
`static Mode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Mode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRICT

public static final Mode STRICT
Default mode - If validation fails, issue an error.

### LENIENT

public static final Mode LENIENT
If validation fails, issue a warning (but use the invalid value).

### SILENT

public static final Mode SILENT
If validation fails, do not report and use the invalid value.

### DEFINITIVE

public static final Mode DEFINITIVE
If validation fails, use the default value (if provided - otherwise remove value) and issue a warning.

### SILENT_DEFINITIVE

public static final Mode SILENT_DEFINITIVE
If validation fails, use the default value (if provided - otherwise remove value) and do not issue a warning.

## Method Details

### values

public static Mode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Mode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null